All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface AssociationPropertyInterface

All Superinterfaces:
  AbstractPropertyInterface, MetadataInterface, PrototypePropertyInterface, PublicObjectInterface, java.rmi.Remote

    public interface AssociationPropertyInterface

extends PrototypePropertyInterface

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`java.lang.String` | `getAssociationName()` Get the association name.
`int` | `getMaximum()` Get the maximum cardinality of the association.
`java.lang.String` | `getMetadataType()` Get the metadata type that can be associated via this association.
`int` | `getMinimum()` Get the minimum cardinality for this assocation.
`java.lang.String` | `getPartnerName()` Get the parner's name for this association.
`void` | `setAssociationName(java.lang.String name)` Set the association name.
`void` | `setMaximum(int max)` Set the maximum cardinality of the association.
`void` | `setMetadataType(java.lang.String type)` Set the metadata type that can be associated via this association.
`void` | `setMinimum(int min)` Set the minimum cardinality of the association.
`void` | `setPartnerName(java.lang.String partner)` Set the partner association name for this association.

Methods inherited from interface com.sas.services.information.metadata.PrototypePropertyInterface
`getOwningPrototype, setOwningPrototype`

Methods inherited from interface com.sas.services.information.metadata.AbstractPropertyInterface
`addCustomizer, addEditor, addValidator, getAssociatedPropertyGroup, getCustomizers, getEditors, getIsExpert, getIsLinked, getIsRequired, getIsUpdateable, getIsVisible, getStoredConfiguration, getValidators, removeCustomizer, removeEditor, removeValidator, setAssociatedPropertyGroup, setIsExpert, setIsLinked, setIsRequired, setIsUpdateable, setIsVisible, setStoredConfiguration`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getMetadataType

    java.lang.String getMetadataType()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Get the metadata type that can be associated via this association.

  Returns:
    The metadata type string.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setMetadataType

    void setMetadataType(java.lang.String type)
                         throws ServiceException,
                                java.rmi.RemoteException

  Set the metadata type that can be associated via this association.

  Parameters:
    `type` - The metadata type.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getAssociationName

    java.lang.String getAssociationName()
                                        throws ServiceException,
                                               java.rmi.RemoteException

  Get the association name.

  Returns:
    The name of the association this property represents.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setAssociationName

    void setAssociationName(java.lang.String name)
                            throws ServiceException,
                                   java.rmi.RemoteException

  Set the association name.

  Parameters:
    `name` - The name of the association this property represents.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getPartnerName

    java.lang.String getPartnerName()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Get the parner's name for this association. This name is the "other direction" of this association.

  Returns:
    The partner's association name.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setPartnerName

    void setPartnerName(java.lang.String partner)
                        throws ServiceException,
                               java.rmi.RemoteException

  Set the partner association name for this association.

  Parameters:
    `partner` - The partner's association name.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getMinimum

    int getMinimum()
                   throws ServiceException,
                          java.rmi.RemoteException

  Get the minimum cardinality for this assocation.

  Returns:
    The minimum cardinality of the association.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setMinimum

    void setMinimum(int min)
                    throws ServiceException,
                           java.rmi.RemoteException

  Set the minimum cardinality of the association.

  Parameters:
    `min` - The minimum cardinality of the association.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getMaximum

    int getMaximum()
                   throws ServiceException,
                          java.rmi.RemoteException

  Get the maximum cardinality of the association.

  Returns:
    The maximum cardinality of the association.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setMaximum

    void setMaximum(int max)
                    throws ServiceException,
                           java.rmi.RemoteException

  Set the maximum cardinality of the association.

  Parameters:
    `max` - The maximum cardinality of the association.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.